SnippetTree (Java SE 26 & JDK 26)
Description: declaration: module: jdk.compiler, package: com.sun.source.doctree, interface: SnippetTree
Keywords: com.sun.source.doctree.SnippetTree interface

# Interface SnippetTree

All Superinterfaces:
  `DocTree, InlineTagTree`

public interface SnippetTree extends InlineTagTree
A tree node for an `@snippet` inline tag.

       {@snippet :
        body
       }

       {@snippet attributes}

       {@snippet attributes :
        body
       }

Since:
  18

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface DocTree

  `DocTree.Kind`
  Modifier and Type
  Interface
  Description
  `static enum`
  `DocTree.Kind`
  Enumerates all kinds of trees.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<? extends DocTree>`
  `getAttributes()`
  Returns the list of the attributes of the `@snippet` tag.
  `TextTree`
  `getBody()`
  Returns the body of the `@snippet` tag, or `null` if there is no body.

  ### Methods declared in interface DocTree

  `accept, getKind`
  Modifier and Type
  Method
  Description
  `<R,D> R`
  `accept(DocTreeVisitor<R,D> visitor, D data)`
  Accept method used to implement the visitor pattern.
  `DocTree.Kind`
  `getKind()`
  Returns the kind of this tree.

  ### Methods declared in interface InlineTagTree

  `getTagName`
  Modifier and Type
  Method
  Description
  `String`
  `getTagName()`
  Returns the name of the tag.

- ## Method Details

  - ### getAttributes

    List<? extends DocTree> getAttributes()
    Returns the list of the attributes of the `@snippet` tag.
    Returns:
      the list of the attributes

  - ### getBody

    TextTree getBody()
    Returns the body of the `@snippet` tag, or `null` if there is no body.
    API Note:
      An instance of `SnippetTree` with an empty body differs from an instance of `SnippetTree` with no body. If a tag has no body, then calling this method returns `null`. If a tag has an empty body, then this method returns a `TextTree` whose `TextTree.getBody()` returns an empty string.
    Returns:
      the body of the tag, or `null` if there is no body